Quassel IRC - Bug #1005

Quasselcore's (SSL) connection code is not error-tolerant (git-611ebcc)
07/23/2010 01:09 PM - TerrorBite

Status: Resolved Start date: 07/23/2010
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.9.2

Version: 0.6.1 0S: Any
Description

When Quasselcore connects to an IRC network and the connection fails, no notification is given to the user and the core's state
becomes internally inconsistent. The core will report the network as connected even though the connection failed. (Note: This is
attempting SSL-secured connections. | have not attempted to reproduce this with non-SSL connections.)

As an example | was attempting to connect to a server and the connection hung, so after hitting "Disconnect" a few times | deleted
that server from the server list (currently the only way to make Quassel try a different server) and tried a second server. When this
also failed | deleted all the servers from the list and substituted a third, however clicking Connect still attempts to connect to the
second. There appears to be no way to correct the situation other than restarting the core - if there is a connection in progress, there
is no way to stop it since the core believes it is disconnected and offers only a "Connect" option.

History

#1-11/12/2013 01:13 PM - mamarley

| have experienced similar issues with non-SSL connections, except pressing "Disconnect” once is good enough to make it ready to connect again.

#2 - 01/18/2014 08:07 PM - Sputnick
- Status changed from New to Resolved
- Target version set to 0.9.2

- % Done changed from 0 to 100

This should be fixed by the recent contributions of Michael Marley related to stuck SSL connections.
